CANVAS_DRAW_ELLIPSE(3)

FUNCTION
canvas_draw_ellipse - Draw an ellipse onto a world canvas.

SYNOPSIS
#include <karma_canvas.h>

void canvas_draw_ellipse

(KWorldCanvas canvas, double centre_x, double centre_y, double radius_x, double radius_y, double value[2])

DESCRIPTION
Draw an ellipse onto a world canvas.

canvas
    The world canvas object.

centre_x
    The horizontal world co-ordinate of the centre of the ellipse.

centre_y
    The vertical world co-ordinate of the centre of the ellipse.

radius_x
    The horizontal radius in world co-ordinates.

radius_y
    The vertical radius in world co-ordinates.

value
    The complex value to draw the ellipse with. This must be of type K_DCOMPLEX.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/